Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1364783 - V3 API | Attach disk to vm with active=true isn't working
Summary: V3 API | Attach disk to vm with active=true isn't working
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: RestAPI
Version: 4.0.2.4
Hardware: Unspecified
OS: Unspecified
urgent
urgent vote
Target Milestone: ovirt-4.0.2
: 4.0.2.6
Assignee: Tal Nisan
QA Contact: Raz Tamir
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-07 12:11 UTC by Raz Tamir
Modified: 2016-08-12 14:21 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-12 14:21:37 UTC
oVirt Team: Storage
rule-engine: ovirt-4.0.z+
rule-engine: blocker+
ylavi: planning_ack+
oourfali: devel_ack+
acanan: testing_ack+


Attachments (Terms of Use)
engine and vdsm logs (deleted)
2016-08-07 12:11 UTC, Raz Tamir
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 62051 master MERGED restapi: Add active propery back to Disk 2016-08-09 08:21:29 UTC
oVirt gerrit 62075 master MERGED restapi: Set Disk 'active' properly in V3 2016-08-09 08:21:24 UTC
oVirt gerrit 62086 ovirt-engine-4.0 MERGED restapi: Add active propery back to Disk 2016-08-09 08:44:58 UTC
oVirt gerrit 62087 ovirt-engine-4.0 MERGED restapi: Set Disk 'active' properly in V3 2016-08-09 08:44:51 UTC
oVirt gerrit 62088 ovirt-engine-4.0.2 MERGED restapi: Add active propery back to Disk 2016-08-09 08:45:16 UTC
oVirt gerrit 62089 ovirt-engine-4.0.2 MERGED restapi: Set Disk 'active' properly in V3 2016-08-09 08:45:36 UTC

Description Raz Tamir 2016-08-07 12:11:51 UTC
Created attachment 1188374 [details]
engine and vdsm logs

Description of problem:
When attaching a disk to vm using REST API (v3) and setting the <active> property to 'true' the operation will succeed but the disk will remain inactive


Version-Release number of selected component (if applicable):
ovirt-engine-4.0.2.4-0.1.el7ev.noarch

How reproducible:
100%

Steps to Reproduce:
1. Attach a disk to vm and set <active>true</active>
2.
3.

Actual results:
The disk will attach to vm but will be inactive

Expected results:


Additional info:
in logs, starting from 2016-08-07 15:09:09,951

Comment 1 Oved Ourfali 2016-08-08 05:33:16 UTC
Currently targeting to 4.0.4 as I think this would be enough.
Moran?

Comment 2 Eyal Shenitzky 2016-08-08 08:55:35 UTC
Additionally, 
When updating a disk that attached to vm using REST API (v3) and setting the <active> property to 'true' the operation will succeed but the disk will remain inactive.

Comment 3 Raz Tamir 2016-08-11 14:35:03 UTC
Verified on ovirt-engine-4.0.2.6-0.1.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.